# Search vendors (/docs/api/catalog/vendor_search)

Every GTM data vendor GridRouter knows about (integrated or researched): API access, spec status, published rate limits and marketplace listings.

`GET /v1/catalog/vendors`

```json
{
  "operationId": "vendor_search",
  "summary": "Search vendors",
  "description": "Every GTM data vendor GridRouter knows about (integrated or researched): API access, spec status, published rate limits and marketplace listings.",
  "tags": [
    "catalog"
  ],
  "parameters": [
    {
      "schema": {
        "type": "string",
        "maxLength": 200,
        "default": ""
      },
      "required": false,
      "name": "q",
      "in": "query"
    },
    {
      "schema": {
        "type": "string",
        "maxLength": 40
      },
      "required": false,
      "name": "category",
      "in": "query"
    },
    {
      "schema": {
        "type": "string",
        "enum": [
          "rapidapi"
        ]
      },
      "required": false,
      "name": "marketplace",
      "in": "query"
    },
    {
      "schema": {
        "type": "integer",
        "minimum": 1,
        "maximum": 100,
        "default": 20
      },
      "required": false,
      "name": "limit",
      "in": "query"
    },
    {
      "schema": {
        "type": "string",
        "maxLength": 200,
        "description": "Opaque pagination cursor from a previous page"
      },
      "required": false,
      "description": "Opaque pagination cursor from a previous page",
      "name": "cursor",
      "in": "query"
    }
  ],
  "responses": {
    "200": {
      "description": "OK",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "items": {
                "type": "array",
                "items": {
                  "type": "object",
                  "properties": {
                    "slug": {
                      "type": "string"
                    },
                    "name": {
                      "type": "string"
                    },
                    "domain": {
                      "type": "string"
                    },
                    "categories": {
                      "type": "array",
                      "items": {
                        "type": "string"
                      }
                    },
                    "status": {
                      "type": "string",
                      "enum": [
                        "researched",
                        "integrated",
                        "discontinued"
                      ]
                    },
                    "api_availability": {
                      "type": "string"
                    },
                    "openapi": {
                      "type": "string",
                      "enum": [
                        "official",
                        "reconstructed",
                        "none"
                      ]
                    },
                    "rate_limits_published": {
                      "type": "boolean"
                    },
                    "marketplaces": {
                      "type": "array",
                      "items": {
                        "type": "string"
                      }
                    },
                    "summary": {
                      "type": "string"
                    }
                  },
                  "required": [
                    "slug",
                    "name",
                    "domain",
                    "categories",
                    "status",
                    "api_availability",
                    "openapi",
                    "rate_limits_published",
                    "marketplaces",
                    "summary"
                  ]
                }
              },
              "next_cursor": {
                "type": [
                  "string",
                  "null"
                ]
              }
            },
            "required": [
              "items",
              "next_cursor"
            ]
          }
        }
      }
    },
    "default": {
      "description": "Error",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "error": {
                "type": "object",
                "properties": {
                  "code": {
                    "type": "string",
                    "enum": [
                      "invalid_request",
                      "unauthorized",
                      "insufficient_balance",
                      "max_cost_exceeded",
                      "scope_denied",
                      "budget_blocked",
                      "not_found",
                      "idempotency_mismatch",
                      "invalid_meta",
                      "rate_limited",
                      "upstream_error",
                      "response_buffer_limit",
                      "provider_capacity_unavailable",
                      "grid_saturated",
                      "upstream_timeout",
                      "conflict",
                      "internal_error",
                      "account_frozen",
                      "strict_filters",
                      "plan_limit_reached",
                      "validation_failed",
                      "deadline_exceeded",
                      "cancelled"
                    ]
                  },
                  "message": {
                    "type": "string"
                  },
                  "request_id": {
                    "type": "string"
                  },
                  "call_id": {
                    "type": "string"
                  },
                  "retry_after_ms": {
                    "type": "integer",
                    "minimum": 0
                  },
                  "details": {
                    "type": "object",
                    "additionalProperties": {}
                  }
                },
                "required": [
                  "code",
                  "message"
                ]
              }
            },
            "required": [
              "error"
            ]
          }
        }
      }
    }
  }
}
```
